---
- name: Create backup directory
  ansible.builtin.file:
    path: "{{ local_backup_dir }}"
    state: directory
    recurse: true
    owner: postgres
    group: postgres
    mode: "0755"

- name: Get PostgreSQL list of DBs
  become_user: postgres
  community.postgresql.postgresql_info:
    filter:
      - "databases"
  register: pgsql_db_names

- name: Backup databases
  become_user: postgres
  ansible.builtin.command: pg_dump -Fc -f {{ local_backup_dir }}/{{ item }}_{{ prefix }}.dump
  with_items: "{{ pgsql_db_names.databases }}"

- name: Backup globals
  become_user: postgres
  ansible.builtin.command: pg_dumpall --globals-only --file {{ local_backup_dir }}/globals_{{ prefix }}.sql
...
